--local button = _G["WatchFrameHeader"]
--local frame = _G["WatchFrame"]
--local expButton = _G["WatchFrameCollapseExpandButton"]
--local handler = CreateFrame("Frame")
--handler:RegisterEvent("PLAYER_LOGIN")
--handler:SetScript("OnEvent",function()
--	WatchFrame_Update()	
--	button:SetPoint("TOPLEFT",frame,"TOPLEFT")
--	expButton:SetPoint("TOPRIGHT",button,"TOPRIGHT",40,0)
--end)
--
--
--if(button:IsShown()) then
--	local flag = 1
--	frame:ClearAllPoints()
--	button:SetMovable(true)
--	frame:SetMovable(true)
--	expButton:SetMovable(true)
--	frame:SetUserPlaced(true)
--	button:SetScript("OnMouseDown",function(self,key)
--		button:SetPoint("TOPLEFT",frame,"TOPLEFT")
--		expButton:SetPoint("TOPRIGHT",button,"TOPRIGHT",40,0)
--		if key == "LeftButton" and flag %2 ~= 0 then
--			frame:StartMoving()
--			flag = flag + 1 
--		elseif key == "LeftButton" and flag %2 == 0 then
--
--	WatchFrame_Update()	
--			frame:StopMovingOrSizing()
--			flag = flag + 1
--		end
--	end)
--end
